# repo containing configs and scripts to set up a box

### prerequisites
- when running on a fresh system, ensure package manager is configured
    - i.e. source repos, mirrors, etc. are configured
    - if on macOS, have to first install the package manager, [homebrew](https://brew.sh/)
- zsh is installed (scripts are written for zsh)
- ensure sudo access is configured for the current user (2025-01-27, not needed on macos)
- export the env var `BOX_SETUP_OS` to indicate the operating system
    - options defined in `set_script_env_vars` file

### script run
- git clone this repo (TODO: consider adding logic to handle automatically)
- from the repo's root directory, run `./box_setup`

### todo items
- config for nvim
- config for mpd, mpc, ncmpcpp
- config for ghostty
- config for mpv
    - also, on macos, get it to open within terminal or just don't install it
- config for gimp, `src_files/.config/GIMP` (dir)
    - set things in gtkrc only? still need to nest that within a sub dir?
    - or maybe just configure in gimp's gui, copy the whole resulting dir into
      `src_files/.config/GIMP` (edit out and delete what i don't need) and call it a day
- decide on window managers, then do config (for each OS; macos will likely be different)
- look into xquartz for macos (x/xorg emulation or something?)
- decide on and implement approach for languages and versioning
    - docker? or alternatives like podman? any license concerns?
    - asdf, or language-specific version managers?
    - hybrid of the above?
